Uploaded image for project: 'Hive'
  1. Hive
  2. HIVE-2294

Allow ShimLoader to work with Hadoop 0.20-append

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Trivial
    • Resolution: Not A Problem
    • Affects Version/s: 0.7.1
    • Fix Version/s: 0.8.0
    • Component/s: None
    • Labels:
      None

      Description

      If we are running Hive with Hadoop 0.20-append, Hive ShimLoader does not get Hadoop version correctly. Suffix starts with '-' should be removed from major version info.

        Attachments

        1. HIVE-2294.1.patch
          1 kB
          YoungWoo Kim
        2. HIVE-2294.2.patch
          0.6 kB
          YoungWoo Kim
        3. HIVE-2294.3.patch
          0.6 kB
          YoungWoo Kim

          Activity

            People

            • Assignee:
              warwithin YoungWoo Kim
              Reporter:
              warwithin YoungWoo Kim
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: